Plack::Middleware::BufferedStreaming(3)

NAME
Plack::Middleware::BufferedStreaming - Enable buffering for non-streaming aware servers

SYNOPSIS
  enable "BufferedStreaming";

DESCRIPTION
Plack::Middleware::BufferedStreaming is a PSGI middleware component that wraps the application that uses "psgi.streaming" interface to run on the servers that do not support the interface, by buffering the writer output to a temporary buffer.

This middleware doesn't do anything and bypass the application if the server supports "psgi.streaming" interface.

AUTHOR
Yuval Kogman

Tatsuhiko Miyagawa